Security Lab

Переполнение буфера в KDE KHTML

Дата публикации:28.04.2008
Всего просмотров:1414
Опасность:
Высокая
Наличие исправления: Да
Количество уязвимостей:1
CVE ID: Нет данных
Вектор эксплуатации: Удаленная
Воздействие: Компрометация системы
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: KDE 4.x
Уязвимые версии: KDE 4.0.3 и более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки границ данных в KHTML при обработке PNG файлов. Удаленный пользователь может с помощью специально сформированного PNG файла вызвать переполнение динамической памяти и выполнить произвольный код на целевой системе.

URL производителя: kde.org

Решение: Установите исправление с сайта производителя.
ftp://ftp.kde.org/pub/kde/security_patches/post-kde-4.0.3-khtml.diff

Ссылки: http://www.kde.org/info/security/advisory-20080426-1.txt